Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class GenericsType

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.GenericsType

    public class GenericsType
    extends ASTNode

This class is used to describe generic type signatures for ClassNodes.

Authors:
  Jochen Theodorou

See Also:
  ClassNode

Constructor Summary
`GenericsType(ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)`
`GenericsType(ClassNode basicType)`

Method Summary
`ClassNode` | `getLowerBound()`
`java.lang.String` | `getName()`
`ClassNode` | `getType()`
`ClassNode[]` | `getUpperBounds()`
`boolean` | `isCompatibleWith(ClassNode classNode)` Tells if the provided class node is compatible with this generic type definition
`boolean` | `isPlaceholder()`
`boolean` | `isResolved()`
`boolean` | `isWildcard()`
`void` | `setName(java.lang.String name)`
`void` | `setPlaceholder(boolean placeholder)`
`void` | `setResolved(boolean res)`
`void` | `setType(ClassNode type)`
`void` | `setWildcard(boolean wildcard)`
`java.lang.String` | `toString()`

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GenericsType

    public GenericsType(ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)

### GenericsType

    public GenericsType(ClassNode basicType)

Method Detail

### getLowerBound

    public ClassNode getLowerBound()

### getName

    public java.lang.String getName()

### getType

    public ClassNode getType()

### getUpperBounds

    public ClassNode[] getUpperBounds()

### isCompatibleWith

    public boolean isCompatibleWith(ClassNode classNode)

  Tells if the provided class node is compatible with this generic type definition
  Parameters:
    `classNode` - the class node to be checked
  Returns:
    true if the class node is compatible with this generics type definition

### isPlaceholder

    public boolean isPlaceholder()

### isResolved

    public boolean isResolved()

### isWildcard

    public boolean isWildcard()

### setName

    public void setName(java.lang.String name)

### setPlaceholder

    public void setPlaceholder(boolean placeholder)

### setResolved

    public void setResolved(boolean res)

### setType

    public void setType(ClassNode type)

### setWildcard

    public void setWildcard(boolean wildcard)

### toString

    public java.lang.String toString()

Groovy Documentation